# wxRichTextPlainTextHandler Class Reference
[Rich Text]

`#include </home/work/projects/wx/2.9/wx/interface/wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextPlainTextHandler:
[legend]

## Detailed Description

Implements saving a buffer to plain text.

##

Library: wxRichText
Category: Rich Text

See also:
  wxRichTextFileHandler, wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions

| wxRichTextPlainTextHandler (const wxString &name=wxT("Text"), const wxString &ext=wxT("txt"), wxRichTextFileType type=wxRICHTEXT_TYPE_TEXT)
virtual bool | CanSave () const
| Returns true if we can save using this handler.
virtual bool | CanLoad () const
| Returns true if we can load using this handler.

List of all members.

## Constructor & Destructor Documentation

wxRichTextPlainTextHandler::wxRichTextPlainTextHandler | ( | const wxString & | name = `wxT("Text")`,
|  | const wxString & | ext = `wxT("txt")`,
|  | wxRichTextFileType | type = `wxRICHTEXT_TYPE_TEXT` |
| ) |  |  | `[inline]`

## Member Function Documentation

virtual bool wxRichTextPlainTextHandler::CanLoad | ( |  | ) | const`[inline, virtual]`

Returns true if we can load using this handler.

Reimplemented from wxRichTextFileHandler.

virtual bool wxRichTextPlainTextHandler::CanSave | ( |  | ) | const`[inline, virtual]`

Returns true if we can save using this handler.

Reimplemented from wxRichTextFileHandler.

|  | [ top ]